Bug 779710 - (SOA-2074) soapui client fails to load multiple interfaces if authentication required
soapui client fails to load multiple interfaces if authentication required
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: 5.1.0.ER1
Assigned To: Default User
Depends On:
  Show dependency treegraph
Reported: 2010-05-07 05:34 EDT by Darran Lofthouse
Modified: 2011-07-20 22:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-07-20 22:52:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2074 None None None Never

  None (edit)
Description Darran Lofthouse 2010-05-07 05:34:58 EDT
Date of First Response: 2010-06-16 20:55:58
Help Desk Ticket Reference: https://enterprise.redhat.com/issue-tracker/682333
Workaround: Workaround Exists
Workaround Description:    One workaround is to remove additional interfaces from the WSDL, if possible. 
project_key: SOA

The reason for this is that only the last interface contains the wsdl context loaded using our httpclient, forcing prior interfaces to reload using the UrlWsdlLoader. This does not have knowledge of the authentication as we place it on the httpclient and it instantiates its own httpclient.
Comment 1 Darran Lofthouse 2010-05-07 05:35:22 EDT
Link: Added: This issue incorporates JBESB-3276
Comment 2 David Ward 2010-06-16 20:55:58 EDT
JBESB-3276 has been closed.
Comment 3 Kevin Conner 2010-06-17 04:09:56 EDT
JBESB-3276 has been closed in trunk, which will make its way into SOA 5.1.

This issue needs to be split to represent both 'affects' versions independently.
Comment 4 Kevin Conner 2010-08-09 09:58:55 EDT
Link: Added: This issue related SOA-2211
Comment 5 David Le Sage 2011-03-01 23:06:19 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3276

The soapui client failed to load multiple interfaces if authentication was required. This was because only the last interface contained the WSDL context that was loaded using the httpclient, and it is this httpclient that contained the authentication information. By doing so, it forced prior interfaces to reload using the UrlWsdlLoader. The UrlWsdlLoader did not know about the authentication as it instantiates its own httpclient. To fix this problem, a JBoss AOP aspect was created. This intercepts calls to soapUI's WsdlContext$Loader.getWsdlLoader() method so that the EsbWsdlLoader is always returned. As a result, the soapui client can now load multiple interfaces, even if authentication is required
Comment 6 David Le Sage 2011-03-01 23:06:39 EST
Writer: Added: dlesage
Comment 7 Len DiMaggio 2011-07-20 22:52:47 EDT
ESB code was in 5.1

Note You need to log in before you can comment on or make changes to this bug.